#!/usr/bin/env python3

from providers import *

# TODO If multiple screen, expand the sections and share them

if __name__ == "__main__":
    Bar.init()
    Updater.init()

    WORKSPACE_THEME = 0
    FOCUS_THEME = 3
    URGENT_THEME = 1

    Bar.addSectionAll(I3WorkspacesProvider(theme=WORKSPACE_THEME, themeFocus=FOCUS_THEME, themeUrgent=URGENT_THEME, themeMode=URGENT_THEME), BarGroupType.LEFT)


    # TODO Middle
    Bar.addSectionAll(MpdProvider(theme=7), BarGroupType.LEFT)
    # Bar.addSectionAll(I3WindowTitleProvider(), BarGroupType.LEFT)


    SYSTEM_THEME = 2
    DANGER_THEME = FOCUS_THEME
    CRITICAL_THEME = URGENT_THEME
    Bar.addSectionAll(CpuProvider(theme=SYSTEM_THEME, themeDanger=DANGER_THEME, themeCritical=CRITICAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(RamProvider(theme=SYSTEM_THEME, themeDanger=DANGER_THEME, themeCritical=CRITICAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(TemperatureProvider(theme=SYSTEM_THEME, themeDanger=DANGER_THEME, themeCritical=CRITICAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(BatteryProvider(theme=SYSTEM_THEME, themeDanger=DANGER_THEME, themeCritical=CRITICAL_THEME), BarGroupType.RIGHT)

    # Peripherals
    PERIPHERAL_THEME = 5
    NETWORK_THEME = 4
    # TODO Disk space provider
    # TODO Screen (connected, autorandr configuration, bbswitch) provider
    Bar.addSectionAll(PulseaudioProvider(theme=PERIPHERAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(NetworkProvider(theme=NETWORK_THEME), BarGroupType.RIGHT)

    # Personal
    PERSONAL_THEME = 0
    Bar.addSectionAll(KeystoreProvider(theme=PERSONAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(NotmuchUnreadProvider(dir='~/.mail/', theme=PERSONAL_THEME), BarGroupType.RIGHT)
    Bar.addSectionAll(TodoProvider(dir='~/.vdirsyncer/currentCalendars/', theme=PERSONAL_THEME), BarGroupType.RIGHT)

    TIME_THEME = 6
    Bar.addSectionAll(TimeProvider(theme=TIME_THEME), BarGroupType.RIGHT)
